Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
[Java] Class JettyRunWar

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.plugins.jetty.AbstractJettyRunTask
              org.gradle.api.plugins.jetty.JettyRunWar

    public class JettyRunWar
    extends AbstractJettyRunTask

Deploys a WAR to an embedded Jetty web container.

Once started, the web container can be configured to run continuously, scanning for changes to the war file and automatically performing a hot redeploy when necessary.

Field Summary

Fields inherited from class AbstractJettyRunTask
PORT_SYSPROPERTY, consoleScanner, reload, scannerListeners

Method Summary
`void` | `applyJettyXml()`
`void` | `configureScanner()`
`void` | `configureWebApplication()`
`JettyPluginServer` | `createServer()`
`void` | `finishConfigurationBeforeStart()`
`File` | `getWebApp()` Returns the web application to deploy.
`void` | `restartWebApp(boolean reconfigureScanner)`
`void` | `setWebApp(File webApp)`
`void` | `validateConfiguration()`

Methods inherited from class AbstractJettyRunTask
applyJettyXml, configureScanner, configureWebApplication, createServer, findJettyWebXmlFile, finishConfigurationBeforeStart, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, restartWebApp, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal, validateConfiguration

Method Detail

### applyJettyXml

    public void applyJettyXml()

### configureScanner

    public void configureScanner()

### configureWebApplication

    public void configureWebApplication()

### createServer

    public JettyPluginServer createServer()

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()

### getWebApp

    @InputFile
    public File getWebApp()

  Returns the web application to deploy.

### restartWebApp

    public void restartWebApp(boolean reconfigureScanner)

### setWebApp

    public void setWebApp(File webApp)

### validateConfiguration

    public void validateConfiguration()

Gradle API 1.10